-- T_EHR_RUS_3QO26R99FR
ALTER TABLE EHR.T_EHR_RUS_3QO26R99FR ALTER COLUMN "doc_oid" SET DATA TYPE varchar(5000);
ALTER TABLE EHR.T_EHR_RUS_3QO26R99FR ALTER COLUMN "doc_oid" DROP NOT NULL;

-- T_EHR_RUS_8CJUUR1FMQ
ALTER TABLE EHR.T_EHR_RUS_8CJUUR1FMQ ALTER COLUMN "client" SET DATA TYPE varchar(512);
ALTER TABLE EHR.T_EHR_RUS_8CJUUR1FMQ ALTER COLUMN "client" DROP NOT NULL;

ALTER TABLE EHR.T_EHR_RUS_8CJUUR1FMQ ALTER COLUMN "form" SET DATA TYPE varchar(255);
ALTER TABLE EHR.T_EHR_RUS_8CJUUR1FMQ ALTER COLUMN "form" DROP NOT NULL;

ALTER TABLE EHR.T_EHR_RUS_8CJUUR1FMQ ALTER COLUMN "function" SET DATA TYPE varchar(255);
ALTER TABLE EHR.T_EHR_RUS_8CJUUR1FMQ ALTER COLUMN "function" DROP NOT NULL;

ALTER TABLE EHR.T_EHR_RUS_8CJUUR1FMQ ALTER COLUMN "npa" SET DATA TYPE varchar(2048);
ALTER TABLE EHR.T_EHR_RUS_8CJUUR1FMQ ALTER COLUMN "npa" DROP NOT NULL;

-- T_EHR_RUS_CEQEUKSG9R
ALTER TABLE EHR.T_EHR_RUS_CEQEUKSG9R ALTER COLUMN "npa" SET DATA TYPE varchar(2048);
ALTER TABLE EHR.T_EHR_RUS_CEQEUKSG9R ALTER COLUMN "npa" DROP NOT NULL;

-- T_EHR_RUS_JTA1FHDFOV
ALTER TABLE EHR.T_EHR_RUS_JTA1FHDFOV ALTER COLUMN "standard_inn" SET DATA TYPE varchar(1024);
ALTER TABLE EHR.T_EHR_RUS_JTA1FHDFOV ALTER COLUMN "standard_inn" DROP NOT NULL;

-- T_EHR_RUS_LBGV6F9S92
ALTER TABLE EHR.T_EHR_RUS_LBGV6F9S92 ALTER COLUMN "exclusions" SET DATA TYPE varchar(512);
ALTER TABLE EHR.T_EHR_RUS_LBGV6F9S92 ALTER COLUMN "exclusions" DROP NOT NULL;

ALTER TABLE EHR.T_EHR_RUS_LBGV6F9S92 ALTER COLUMN "inclusions" SET DATA TYPE varchar(512);
ALTER TABLE EHR.T_EHR_RUS_LBGV6F9S92 ALTER COLUMN "inclusions" DROP NOT NULL;

-- T_EHR_RUS_P08TSH954N
ALTER TABLE EHR.T_EHR_RUS_P08TSH954N ALTER COLUMN "description" SET DATA TYPE varchar(2048);
ALTER TABLE EHR.T_EHR_RUS_P08TSH954N ALTER COLUMN "description" DROP NOT NULL;

-- T_EHR_RUS_RDSRI3E8K9
ALTER TABLE EHR.T_EHR_RUS_RDSRI3E8K9 ALTER COLUMN "description" SET DATA TYPE varchar(512);
ALTER TABLE EHR.T_EHR_RUS_RDSRI3E8K9 ALTER COLUMN "description" DROP NOT NULL;

-- T_EHR_RUS_SDJ7F10VV4
ALTER TABLE EHR.T_EHR_RUS_SDJ7F10VV4 ALTER COLUMN "description" SET DATA TYPE varchar(1500);
ALTER TABLE EHR.T_EHR_RUS_SDJ7F10VV4 ALTER COLUMN "description" DROP NOT NULL;

-- T_EHR_RUS_SLM365
ALTER TABLE EHR.T_EHR_RUS_SLM365 ALTER COLUMN "npa" SET DATA TYPE varchar(2048);
ALTER TABLE EHR.T_EHR_RUS_SLM365 ALTER COLUMN "npa" DROP NOT NULL;

-- T_EHR_RUS_TQA1N9DE8G
ALTER TABLE EHR.T_EHR_RUS_TQA1N9DE8G ALTER COLUMN "description" SET DATA TYPE varchar(1024);
ALTER TABLE EHR.T_EHR_RUS_TQA1N9DE8G ALTER COLUMN "description" DROP NOT NULL;

-- T_EHR_RUS_Z00013
ALTER TABLE EHR.T_EHR_RUS_Z00013 ALTER COLUMN "ogrn" SET DATA TYPE varchar(255);
ALTER TABLE EHR.T_EHR_RUS_Z00013 ALTER COLUMN "ogrn" DROP NOT NULL;

--ELEMENT_EHR_REPLACEMENT_IDX
ALTER TABLE EHR.ELEMENT_EHR_REPLACEMENT_IDX ALTER COLUMN "columnname" data type varchar(255);
ALTER TABLE EHR.ELEMENT_EHR_REPLACEMENT_IDX ALTER COLUMN "columnname" DROP NOT NULL;

ALTER TABLE EHR.ELEMENT_EHR_REPLACEMENT_IDX ALTER COLUMN "indexname" data type varchar(255);
ALTER TABLE EHR.ELEMENT_EHR_REPLACEMENT_IDX ALTER COLUMN "indexname" DROP NOT NULL;

--SQL_TABLE
ALTER TABLE EHR.SQL_TABLE ALTER COLUMN "sql" data type varchar(300);
ALTER TABLE EHR.SQL_TABLE ALTER COLUMN "sql" DROP NOT NULL;